## org.apache.poi.hwpf.model
Class PAPX

    java.lang.Object
      org.apache.poi.hwpf.model.PropertyNode<T>
          org.apache.poi.hwpf.model.BytePropertyNode<PAPX>
              org.apache.poi.hwpf.model.PAPX

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable<PAPX>

    @Internal
    public final class PAPX

extends BytePropertyNode<PAPX>

DANGER - works in bytes! Make sure you call getStart() / getEnd() when you want characters (normal use), but getStartByte() / getEndByte() when you're reading in / writing out!

Author:
  Ryan Ackley

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.poi.hwpf.model.PropertyNode
`PropertyNode.EndComparator, PropertyNode.StartComparator`

Field Summary

Fields inherited from class org.apache.poi.hwpf.model.PropertyNode
`_buf`

Constructor Summary
`PAPX(int charStart, int charEnd, byte[] papx, ParagraphHeight phe, byte[] dataStream)`
`PAPX(int fcStart, int fcEnd, CharIndexTranslator translator, byte[] papx, ParagraphHeight phe, byte[] dataStream)`
`PAPX(int fcStart, int fcEnd, CharIndexTranslator translator, SprmBuffer buf, byte[] dataStream)` Deprecated.
`PAPX(int charStart, int charEnd, SprmBuffer buf)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`byte[]` `getGrpprl()`
`short` `getIstd()`
`ParagraphHeight` `getParagraphHeight()`
`ParagraphProperties` `getParagraphProperties(StyleSheet ss)` Deprecated.
`SprmBuffer` `getSprmBuf()`
`java.lang.String` `toString()`

Methods inherited from class org.apache.poi.hwpf.model.BytePropertyNode
`getEndBytes, getStartBytes`

Methods inherited from class org.apache.poi.hwpf.model.PropertyNode
`adjustForDelete, clone, compareTo, getEnd, getStart, hashCode, limitsAreEqual, setEnd, setStart`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PAPX

    public PAPX(int fcStart,
                int fcEnd,
                CharIndexTranslator translator,
                byte[] papx,
                ParagraphHeight phe,
                byte[] dataStream)

### PAPX

    public PAPX(int charStart,
                int charEnd,
                byte[] papx,
                ParagraphHeight phe,
                byte[] dataStream)

### PAPX

    @Deprecated
    public PAPX(int fcStart,
                           int fcEnd,
                           CharIndexTranslator translator,
                           SprmBuffer buf,
                           byte[] dataStream)

  Deprecated.

### PAPX

    public PAPX(int charStart,
                int charEnd,
                SprmBuffer buf)

Method Detail

### getParagraphHeight

    public ParagraphHeight getParagraphHeight()

### getGrpprl

    public byte[] getGrpprl()

### getIstd

    public short getIstd()

### getSprmBuf

    public SprmBuffer getSprmBuf()

### getParagraphProperties

    @Deprecated
    @Internal
    public ParagraphProperties getParagraphProperties(StyleSheet ss)

  Deprecated.

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `PropertyNode<PAPX>`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.